﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;

public partial class CKeditorImageManage : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void btnUpload_Click(object sender, EventArgs e)
    {
        string baseurlsave = Server.MapPath(".") + "\\Images\\";
        string baseurldisplay = "/CKeditorDemo/Images/";
        HttpFileCollection hfc = Request.Files;
        foreach (string file in hfc)
        {
           if (hfc[file].ContentLength > 0)
           {
            string filename = Path.GetFileName(hfc[file].FileName);
            hfc[file].SaveAs(baseurlsave + filename);  
           }
        }
       
        HyperLink hplImage = null;
        HyperLink hplDel = null;
        foreach (string file in Directory.GetFiles(baseurlsave))
        {
            string filename = Path.GetFileName(file);            
            hplImage = new HyperLink();
            hplDel = new HyperLink();

            //Image
            hplImage.NavigateUrl = "javascript:void()";
            hplImage.Attributes.Add("imgsrc", baseurldisplay + filename);
            hplImage.Text = filename;
            hplImage.CssClass = "imglink";

            //Delete link
            hplDel.NavigateUrl = "javascript:void()";
            hplDel.Attributes.Add("img", filename);
            hplDel.Text = "delete";
            hplDel.CssClass = "dellink";

            phImages.Controls.Add(hplImage);
            phImages.Controls.Add(new LiteralControl(" "));
            phImages.Controls.Add(hplDel);            
            phImages.Controls.Add(new LiteralControl("<br>"));
        }
        
    }
}